Bug 1676281 - xapian-bindings: FTBFS in Fedora rawhide/f30
Summary: xapian-bindings: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xapian-bindings
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 22:29 UTC by Fedora Release Engineering
Modified: 2019-04-18 19:25 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-18 19:25:14 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 22:29 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 22:29 UTC, Fedora Release Engineering
no flags Details
state.log (653 bytes, text/plain)
2019-02-11 22:29 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 22:29:32 UTC
xapian-bindings failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32550516


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix xapian-bindings at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
xapian-bindings will be orphaned. Before branching of Fedora 31,
xapian-bindings will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 22:29:34 UTC
Created attachment 1533778 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 22:29:36 UTC
Created attachment 1533779 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 22:29:37 UTC
Created attachment 1533780 [details]
state.log

Comment 4 Dan Horák 2019-02-12 12:32:49 UTC
the build.log is bellow, same failure is present in xapian-bindings-1.4.9-2.fc30, while xapian-bindings-1.4.9-1.fc30 is a successful build

Mock Version: 1.4.13
Mock Version: 1.4.13
ENTER ['do'](['bash', '--login', '-c', '/usr/bin/rpmbuild -bs --target s390x --nodeps /builddir/build/SPECS/xapian-bindings.spec'], chrootPath='/var/lib/mock/f30-build-15231152-1090057/root'env={'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOME': '/builddir', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\\033]0;<mock-chroot>\\007"', 'PS1': '<mock-chroot> \\s-\\v\\$ ', 'LANG': 'C.UTF-8'}shell=Falselogger=<mockbuild.trace_decorator.getLog object at 0x3ff88b64860>timeout=172800uid=1000gid=425user='mockbuild'nspawn_args=[]unshare_net=TrueprintOutput=False)
Executing command: ['bash', '--login', '-c', '/usr/bin/rpmbuild -bs --target s390x --nodeps /builddir/build/SPECS/xapian-bindings.spec'] with env {'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOME': '/builddir', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\\033]0;<mock-chroot>\\007"', 'PS1': '<mock-chroot> \\s-\\v\\$ ', 'LANG': 'C.UTF-8'} and shell False
BUILDSTDERR: sh: tclsh: command not found
Building target platforms: s390x
Building for target s390x
Wrote: /builddir/build/SRPMS/xapian-bindings-1.4.10-1.fc30.src.rpm
Child return code was: 0
ENTER ['do'](['bash', '--login', '-c', '/usr/bin/rpmbuild -bb --target s390x --nodeps /builddir/build/SPECS/xapian-bindings.spec'], chrootPath='/var/lib/mock/f30-build-15231152-1090057/root'env={'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOME': '/builddir', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\\033]0;<mock-chroot>\\007"', 'PS1': '<mock-chroot> \\s-\\v\\$ ', 'LANG': 'C.UTF-8'}shell=Falselogger=<mockbuild.trace_decorator.getLog object at 0x3ff88b64860>timeout=172800uid=1000gid=425user='mockbuild'nspawn_args=[]unshare_net=TrueprintOutput=False)
Executing command: ['bash', '--login', '-c', '/usr/bin/rpmbuild -bb --target s390x --nodeps /builddir/build/SPECS/xapian-bindings.spec'] with env {'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOME': '/builddir', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\\033]0;<mock-chroot>\\007"', 'PS1': '<mock-chroot> \\s-\\v\\$ ', 'LANG': 'C.UTF-8'} and shell False
Building target platforms: s390x
Building for target s390x
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.5C2RF5
+ umask 022
+ cd /builddir/build/BUILD
+ cd /builddir/build/BUILD
+ rm -rf xapian-bindings-1.4.10
+ /usr/bin/xz -dc /builddir/build/SOURCES/xapian-bindings-1.4.10.tar.xz
+ /usr/bin/tar -xof -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd xapian-bindings-1.4.10
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.TlnDwj
+ umask 022
+ cd /builddir/build/BUILD
+ cd xapian-bindings-1.4.10
+ export PYTHON3_LIB=/usr/lib/python3.7/site-packages
+ PYTHON3_LIB=/usr/lib/python3.7/site-packages
+ export RUBY_LIB=/usr/share/ruby/vendor_ruby
+ RUBY_LIB=/usr/share/ruby/vendor_ruby
+ export RUBY_LIB_ARCH=/usr/lib64/ruby/vendor_ruby
+ RUBY_LIB_ARCH=/usr/lib64/ruby/vendor_ruby
+ CFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -march=zEC12 -mtune=z13 -fasynchronous-unwind-tables -fstack-clash-protection'
+ export CFLAGS
+ CXXFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -march=zEC12 -mtune=z13 -fasynchronous-unwind-tables -fstack-clash-protection'
+ export CXXFLAGS
+ FFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -march=zEC12 -mtune=z13 -fasynchronous-unwind-tables -fstack-clash-protection -I/usr/lib64/gfortran/modules'
+ export FFLAGS
+ FCFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -march=zEC12 -mtune=z13 -fasynchronous-unwind-tables -fstack-clash-protection -I/usr/lib64/gfortran/modules'
+ export FCFLAGS
+ LDFLAGS='-Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld'
+ export LDFLAGS
+ '[' 1 = 1 ']'
BUILDSTDERR: +++ dirname ./configure
BUILDSTDERR: ++ find . -name config.guess -o -name config.sub
+ for i in $(find $(dirname ./configure) -name config.guess -o -name config.sub)
BUILDSTDERR: ++ basename ./config.guess
+ '[' -f /usr/lib/rpm/redhat/config.guess ']'
+ /usr/bin/rm -f ./config.guess
BUILDSTDERR: ++ basename ./config.guess
+ /usr/bin/cp -fv /usr/lib/rpm/redhat/config.guess ./config.guess
'/usr/lib/rpm/redhat/config.guess' -> './config.guess'
+ for i in $(find $(dirname ./configure) -name config.guess -o -name config.sub)
BUILDSTDERR: ++ basename ./config.sub
+ '[' -f /usr/lib/rpm/redhat/config.sub ']'
+ /usr/bin/rm -f ./config.sub
BUILDSTDERR: ++ basename ./config.sub
+ /usr/bin/cp -fv /usr/lib/rpm/redhat/config.sub ./config.sub
'/usr/lib/rpm/redhat/config.sub' -> './config.sub'
+ '[' 1 = 1 ']'
+ '[' x '!=' 'x-Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld' ']'
BUILDSTDERR: ++ find . -name ltmain.sh
+ for i in $(find . -name ltmain.sh)
+ /usr/bin/sed -i.backup -e 's~compiler_flags=$~compiler_flags="-Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld"~' ./ltmain.sh
+ ./configure --build=s390x-redhat-linux-gnu --host=s390x-redhat-linux-gnu --program-prefix= --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --with-python --with-python3 --with-ruby --with-tcl
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether UID '1000' is supported by ustar format... yes
checking whether GID '425' is supported by ustar format... yes
checking how to create a ustar tar archive... gnutar
checking build system type... s390x-ibm-linux-gnu
checking host system type... s390x-ibm-linux-gnu
checking how to print strings... printf
checking for style of include used by make... GNU
checking for s390x-redhat-linux-gnu-gcc... no
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc understands -c and -o together... yes
checking dependency style of gcc... none
checking for a sed that does not truncate output... /usr/bin/sed
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking how to convert s390x-ibm-linux-gnu file names to s390x-ibm-linux-gnu format... func_convert_file_noop
checking how to convert s390x-ibm-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for s390x-redhat-linux-gnu-objdump... no
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for s390x-redhat-linux-gnu-dlltool... no
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for s390x-redhat-linux-gnu-ar... no
checking for ar... ar
checking for archiver @FILE support... @
checking for s390x-redhat-linux-gnu-strip... no
checking for strip... strip
checking for s390x-redhat-linux-gnu-ranlib... no
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for a working dd... /usr/bin/dd
checking how to truncate binary pipes... /usr/bin/dd bs=4096 count=1
checking for s390x-redhat-linux-gnu-mt... no
checking for mt... no
checking if : is a manifest tool... no
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... no
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld -m elf64_s390) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking for s390x-redhat-linux-gnu-g++... no
checking for s390x-redhat-linux-gnu-c++... no
checking for s390x-redhat-linux-gnu-gpp... no
checking for s390x-redhat-linux-gnu-aCC... no
checking for s390x-redhat-linux-gnu-CC... no
checking for s390x-redhat-linux-gnu-cxx... no
checking for s390x-redhat-linux-gnu-cc++... no
checking for s390x-redhat-linux-gnu-cl.exe... no
checking for s390x-redhat-linux-gnu-FCC... no
checking for s390x-redhat-linux-gnu-KCC... no
checking for s390x-redhat-linux-gnu-RCC... no
checking for s390x-redhat-linux-gnu-xlC_r... no
checking for s390x-redhat-linux-gnu-xlC... no
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... none
checking how to run the C++ preprocessor... g++ -E
checking for ld used by g++... /usr/bin/ld -m elf64_s390
checking if the linker (/usr/bin/ld -m elf64_s390) is GNU ld... yes
checking whether the g++ linker (/usr/bin/ld -m elf64_s390) supports shared libraries... yes
checking for g++ option to produce PIC... -fPIC -DPIC
checking if g++ PIC flag -fPIC -DPIC works... yes
checking if g++ static flag -static works... no
checking if g++ supports -c -o file.o... yes
checking if g++ supports -c -o file.o... (cached) yes
checking whether the g++ linker (/usr/bin/ld -m elf64_s390) supports shared libraries... yes
checking dynamic linker characteristics... (cached) GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether g++ supports C++11 features by default... yes
checking for xapian-config... /usr/bin/xapian-config
checking /usr/bin/xapian-config works... yes
checking if /usr/bin/xapian-config version >= 1.4.0... yes (1.4.10)
checking whether to enable maintainer-specific portions of Makefiles... no
checking for python2... /usr/bin/python2
checking /usr/bin/python2 version... 2.7
checking for python2 sphinx module... yes
checking for /usr/include/python2.7/Python.h... yes
checking for directory to install python2 bindings in... /usr/lib64/python2.7/site-packages
checking for python2 libraries to link against... 
checking for python2 module extension... .so
checking for python3... /usr/bin/python3
checking /usr/bin/python3 version... 3.7
checking for python3 sphinx module... yes
checking for /usr/include/python3.7m/Python.h... yes
checking for directory to install python3 bindings in... /usr/lib/python3.7/site-packages
checking for python3 libraries to link against... 
checking for python3 module extension... .cpython-37m-s390x-linux-gnu.so
BUILDSTDERR: checking for tag for cached compiled scripts... -c:1: DeprecationWarning: the imp module is deprecated in favour of importlib; see the module's documentation for alternative uses
cpython-37
BUILDSTDERR: checking for extension of cached and optimized python3 bytecode... -c:1: DeprecationWarning: the imp module is deprecated in favour of importlib; see the module's documentation for alternative uses
cpython-37.opt-1.pyc
checking for tclsh... /usr/bin/tclsh
checking /usr/bin/tclsh version... 8.6
checking for tcl.h from Tcl 8.6... /usr/include/tcl.h
checking for ruby... /usr/bin/ruby
checking /usr/bin/ruby version... 2.6.1
checking for /usr/include/ruby.h... yes
checking for /usr/bin/rdoc... no
checking for rdoc... /usr/bin/rdoc
checking for thread-local storage qualifier... thread_local
checking if g++ -fvisibility=hidden works... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating doxygen_xml.conf
config.status: creating xapian-version.h
config.status: creating python/Makefile
config.status: creating python/docs/conf.py
config.status: creating python/version.i
config.status: creating python3/Makefile
config.status: creating python3/docs/conf.py
config.status: creating python3/version.i
config.status: creating php/Makefile
config.status: creating php7/Makefile
config.status: creating java/Makefile
config.status: creating tcl8/Makefile
config.status: creating tcl8/pkgIndex.tcl
config.status: creating csharp/Makefile
config.status: creating csharp/AssemblyInfo.cs
config.status: creating ruby/Makefile
config.status: creating perl/Makefile
config.status: creating perl/util.i
config.status: creating lua/Makefile
config.status: creating xapian-bindings.spec
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands
*** Building bindings for languages: python python3 tcl8 ruby
+ make -j2 V=1
make  all-recursive
make[1]: Entering directory '/builddir/build/BUILD/xapian-bindings-1.4.10'
Making all in .
make[2]: Entering directory '/builddir/build/BUILD/xapian-bindings-1.4.10'
make[2]: Leaving directory '/builddir/build/BUILD/xapian-bindings-1.4.10'
Making all in python
make[2]: Entering directory '/builddir/build/BUILD/xapian-bindings-1.4.10/python'
make  all-am
make[3]: Entering directory '/builddir/build/BUILD/xapian-bindings-1.4.10/python'
/bin/sh ../libtool  --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I..  -I/usr/include/python2.7  -fno-strict-aliasing -Wall -Wno-unused -Wno-uninitialized -fvisibility=hidden  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -march=zEC12 -mtune=z13 -fasynchronous-unwind-tables -fstack-clash-protection -c -o xapian_wrap.lo xapian_wrap.cc
/usr/bin/mkdir -p xapian
cp `test -f xapian.py || echo './'`xapian.py xapian/__init__.py
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/include/python2.7 -fno-strict-aliasing -Wall -Wno-unused -Wno-uninitialized -fvisibility=hidden -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -march=zEC12 -mtune=z13 -fasynchronous-unwind-tables -fstack-clash-protection -c xapian_wrap.cc  -fPIC -DPIC -o .libs/xapian_wrap.o
/bin/sh ../libtool  --tag=CXX   --mode=link g++ -fno-strict-aliasing -Wall -Wno-unused -Wno-uninitialized -fvisibility=hidden  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -march=zEC12 -mtune=z13 -fasynchronous-unwind-tables -fstack-clash-protection -avoid-version -module -shrext ".so"  -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -o _xapian.la -rpath /usr/lib64/python2.7/site-packages/xapian xapian_wrap.lo -L/usr/lib64 -lxapian -lstdc++  
libtool: link: g++  -fPIC -DPIC -shared -nostdlib /usr/lib/gcc/s390x-redhat-linux/9/../../../../lib64/crti.o /usr/lib/gcc/s390x-redhat-linux/9/crtbeginS.o  .libs/xapian_wrap.o   -L/usr/lib64 -lxapian -L/usr/lib/gcc/s390x-redhat-linux/9 -L/usr/lib/gcc/s390x-redhat-linux/9/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/s390x-redhat-linux/9/../../.. -lstdc++ -lm -lc -lgcc_s /usr/lib/gcc/s390x-redhat-linux/9/crtendS.o /usr/lib/gcc/s390x-redhat-linux/9/../../../../lib64/crtn.o -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -O2 -g -fstack-protector-strong -grecord-gcc-switches -m64 -march=zEC12 -mtune=z13 -Wl,-z -Wl,relro -Wl,--as-needed -Wl,-z -Wl,now   -Wl,-soname -Wl,_xapian.so -o .libs/_xapian.so
libtool: link: ( cd ".libs" && rm -f "_xapian.la" && ln -s "../_xapian.la" "_xapian.la" )
/usr/bin/mkdir -p xapian
/bin/sh ../libtool --config > libtoolconfig.tmp
. ./libtoolconfig.tmp; cp $objdir/_xapian.so xapian
rm -f libtoolconfig.tmp
/usr/bin/python2 -c 'import os;os.chdir("xapian");import _xapian'
/usr/bin/python2 -O -c 'import os;os.chdir("xapian");import _xapian'
/usr/bin/python2 -c 'import xapian'
/usr/bin/python2 -O -c 'import xapian'
BUILDSTDERR: Traceback (most recent call last):
BUILDSTDERR:   File "<string>", line 1, in <module>
BUILDSTDERR:   File "xapian/__init__.py", line 11128, in <module>
BUILDSTDERR:     Query.MatchAll = Query("")
BUILDSTDERR:   File "xapian/__init__.py", line 10612, in _query_init
BUILDSTDERR:     __query_init_orig(self, *args)
BUILDSTDERR:   File "xapian/__init__.py", line 2420, in __init__
BUILDSTDERR:     _xapian.Query_swiginit(self, _xapian.new_Query(*args))
BUILDSTDERR: NotImplementedError: Wrong number or type of arguments for overloaded function 'new_Query'.
BUILDSTDERR:   Possible C/C++ prototypes are:
BUILDSTDERR:     Xapian::Query::Query()
BUILDSTDERR:     Xapian::Query::Query(std::string const &,Xapian::termcount,Xapian::termpos)
BUILDSTDERR:     Xapian::Query::Query(std::string const &,Xapian::termcount)
BUILDSTDERR:     Xapian::Query::Query(std::string const &)
BUILDSTDERR:     Xapian::Query::Query(Xapian::PostingSource *)
BUILDSTDERR:     Xapian::Query::Query(double,Xapian::Query const &)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,Xapian::Query const &,double)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,Xapian::Query const &,Xapian::Query const &)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,std::string const &,std::string const &)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,Xapian::valueno,std::string const &)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,Xapian::valueno,std::string const &,std::string const &)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,std::string const &,Xapian::termcount,int,Xapian::Query::op)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,std::string const &,Xapian::termcount,int)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,std::string const &,Xapian::termcount)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,std::string const &)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,XapianSWIGQueryItor,XapianSWIGQueryItor,Xapian::termcount)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,XapianSWIGQueryItor,XapianSWIGQueryItor)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op)
BUILDSTDERR: make[3]: *** [Makefile:1289: xapian/__init__.pyc] Error 1
BUILDSTDERR: make[3]: *** Waiting for unfinished jobs....
BUILDSTDERR: Traceback (most recent call last):
BUILDSTDERR:   File "<string>", line 1, in <module>
BUILDSTDERR:   File "xapian/__init__.py", line 11128, in <module>
BUILDSTDERR:     Query.MatchAll = Query("")
BUILDSTDERR:   File "xapian/__init__.py", line 10612, in _query_init
BUILDSTDERR:     __query_init_orig(self, *args)
BUILDSTDERR:   File "xapian/__init__.py", line 2420, in __init__
BUILDSTDERR:     _xapian.Query_swiginit(self, _xapian.new_Query(*args))
BUILDSTDERR: NotImplementedError: Wrong number or type of arguments for overloaded function 'new_Query'.
BUILDSTDERR:   Possible C/C++ prototypes are:
BUILDSTDERR:     Xapian::Query::Query()
BUILDSTDERR:     Xapian::Query::Query(std::string const &,Xapian::termcount,Xapian::termpos)
BUILDSTDERR:     Xapian::Query::Query(std::string const &,Xapian::termcount)
BUILDSTDERR:     Xapian::Query::Query(std::string const &)
BUILDSTDERR:     Xapian::Query::Query(Xapian::PostingSource *)
BUILDSTDERR:     Xapian::Query::Query(double,Xapian::Query const &)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,Xapian::Query const &,double)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,Xapian::Query const &,Xapian::Query const &)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,std::string const &,std::string const &)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,Xapian::valueno,std::string const &)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,Xapian::valueno,std::string const &,std::string const &)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,std::string const &,Xapian::termcount,int,Xapian::Query::op)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,std::string const &,Xapian::termcount,int)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,std::string const &,Xapian::termcount)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,std::string const &)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,XapianSWIGQueryItor,XapianSWIGQueryItor,Xapian::termcount)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op,XapianSWIGQueryItor,XapianSWIGQueryItor)
BUILDSTDERR:     Xapian::Query::Query(Xapian::Query::op)
BUILDSTDERR: make[3]: *** [Makefile:1293: xapian/__init__.pyo] Error 1
make[3]: Leaving directory '/builddir/build/BUILD/xapian-bindings-1.4.10/python'
BUILDSTDERR: make[2]: *** [Makefile:687: all] Error 2
make[2]: Leaving directory '/builddir/build/BUILD/xapian-bindings-1.4.10/python'
BUILDSTDERR: make[1]: *** [Makefile:521: all-recursive] Error 1
make[1]: Leaving directory '/builddir/build/BUILD/xapian-bindings-1.4.10'
BUILDSTDERR: make: *** [Makefile:443: all] Error 2
BUILDSTDERR: error: Bad exit status from /var/tmp/rpm-tmp.TlnDwj (%build)
RPM build errors:
BUILDSTDERR:     Bad exit status from /var/tmp/rpm-tmp.TlnDwj (%build)
Child return code was: 1
EXCEPTION: [Error()]
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.7/site-packages/mockbuild/util.py", line 636, in do
    raise exception.Error("Command failed: \n # %s\n%s" % (command, output), child.returncode)
mockbuild.exception.Error: Command failed: 
 # bash --login -c /usr/bin/rpmbuild -bb --target s390x --nodeps /builddir/build/SPECS/xapian-bindings.spec


Note You need to log in before you can comment on or make changes to this bug.